Package ghidra.app.util.bin.format.pe

# Class GlobalPointerDataDirectory

java.lang.Object
ghidra.app.util.bin.format.pe.DataDirectory
ghidra.app.util.bin.format.pe.GlobalPointerDataDirectory

All Implemented Interfaces:
  `PeMarkupable`, `StructConverter`

public class GlobalPointerDataDirectory extends DataDirectory

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.bin.format.pe.DataDirectory

  `hasParsed, IMAGE_SIZEOF_IMAGE_DIRECTORY_ENTRY, ntHeader, reader, size, TITLE, virtualAddress`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDirectoryName()`
  `void`
  `markup(Program program, boolean isBinary, TaskMonitor monitor, MessageLog log, NTHeader ntHeader)`
  Marks up a PE structure.
  `boolean`
  `parse()`
  Parses this data directory.
  `DataType`
  `toDataType()`
  This method should return a datatype representing the data stored in this directory.

  ### Methods inherited from class ghidra.app.util.bin.format.pe.DataDirectory

  `createDirectoryBookmark, createFragment, createTerminatedString, getPointer, getSize, getVirtualAddress, hasParsedCorrectly, processDataDirectory, setBookmark, setEolComment, setPlateComment, setPreComment, setSize, setVirtualAddress, toString, va, writeBytes`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getDirectoryName

    public String getDirectoryName()
    Specified by:
      `getDirectoryName` in class `DataDirectory`

  - ### markup

    public void markup(Program program, boolean isBinary, TaskMonitor monitor, MessageLog log, NTHeader ntHeader) throws DuplicateNameException, CodeUnitInsertionException, IOException
    Description copied from interface: `PeMarkupable`
    Marks up a PE structure.
    Parameters:
      `program` - The program to markup.
      `isBinary` - True if the program is binary; otherwise, false.
      `monitor` - The monitor.
      `log` - The log.
      `ntHeader` - The PE's NT Header structure.
    Throws:
      `DuplicateNameException`
      `CodeUnitInsertionException`
      `IOException`

  - ### parse

    public boolean parse()
    Description copied from class: `DataDirectory`
    Parses this data directory.
    Specified by:
      `parse` in class `DataDirectory`
    Returns:
      True if parsing completed successfully; otherwise, false.

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException
    Description copied from class: `DataDirectory`
    This method should return a datatype representing the data stored in this directory.
    Specified by:
      `toDataType` in interface `StructConverter`
    Specified by:
      `toDataType` in class `DataDirectory`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
    See Also:
      - `StructConverter.toDataType()`